# $Revision: 1.42 $, $Date: 2012/03/03 18:44:58 $
#
# Conditional build:
%bcond_without	cdio		# cdio plugin
%bcond_without	sid		# sid plugin
%bcond_without	amr		# AMR-NB/AMR-WB plugins

%define		gstname		gst-plugins-ugly
%define		gst_major_ver	0.10
%define		gst_req_ver	0.10.36
%define		gstpb_req_ver	0.10.36

%include	/usr/lib/rpm/macros.gstreamer
Summary:	Ugly GStreamer Streaming-media framework plugins
Summary(pl.UTF-8):	Brzydkie wtyczki do środowiska obróbki strumieni GStreamer
Name:		gstreamer-plugins-ugly
Version:	0.10.19
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-ugly/%{gstname}-%{version}.tar.xz
# Source0-md5:	ba26045c8c8c91f0d48d327ccf53ac0c
URL:		http://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.24
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	libtool >= 1.4
BuildRequires:	orc-devel >= 0.4.11
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python >= 2.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
##
## plugins
##
BuildRequires:	a52dec-libs-devel
BuildRequires:	lame-libs-devel
%{?with_cdio:BuildRequires:	libcdio-devel >= 0.76}
# not yet
#BuildRequires:	libdvdnav-devel >= 0.1.7
BuildRequires:	libdvdread-devel
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	libmad-devel >= 0.15
BuildRequires:	libmpeg2-devel >= 0.5.1
%{?with_sid:BuildRequires:	libsidplay-devel >= 1.36.57}
# ABI 55
BuildRequires:	libx264-devel >= 0.1.3
%{?with_amr:BuildRequires:	opencore-amr-devel}
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	twolame-devel >= 0.3.10
Requires:	glib2 >= 1:2.24
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	orc >= 0.4.11
Obsoletes:	gstreamer-asf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gstlibdir 	%{_libdir}/gstreamer-%{gst_major_ver}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

##
## Plugins
##

%package -n gstreamer-a52dec
Summary:	GStreamer VOB decoder plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera dekodująca VOB
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}

%description -n gstreamer-a52dec
Plugin for decoding of VOB files.

%description -n gstreamer-a52dec -l pl.UTF-8
Wtyczka dekodująca pliki VOB.

%package -n gstreamer-amrnb
Summary:	GStreamer AMR-NB decoder plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera dekodująca pliki AMR-NB
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-amrnb
Plugin for decoding of AMR-NB files.

%description -n gstreamer-amrnb -l pl.UTF-8
Wtyczka dekodująca pliki AMR-NB.

%package -n gstreamer-amrwb
Summary:	GStreamer AMR-WB decoder plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera dekodująca pliki AMR-WB
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-amrwb
Plugin for decoding of AMR-WB files.

%description -n gstreamer-amrwb -l pl.UTF-8
Wtyczka dekodująca pliki AMR-WB.

%package -n gstreamer-cdio
Summary:	GStreamer plugin for CD audio input using libcdio
Summary(pl.UTF-8):	Wtyczka do GStreamera odtwarzająca płyty CD-Audio przy użyciu libcdio
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	libcdio >= 0.76

%description -n gstreamer-cdio
Plugin for playing audio tracks using libcdio under GStreamer.

%description -n gstreamer-cdio -l pl.UTF-8
Wtyczka do odtwarzania ścieżek dźwiękowych pod GStreamerem za pomocą
libcdio.

%package -n gstreamer-dvdread
Summary:	GStreamer plugin for DVD playback
Summary(pl.UTF-8):	Wtyczka do GStreamera odtwarzająca DVD
Group:		Libraries
# for NLS
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer >= %{gst_req_ver}
Obsoletes:	gstreamer-libdvdread

%description -n gstreamer-dvdread
GStreamer plugin for DVD playback.

%description -n gstreamer-dvdread -l pl.UTF-8
Wtyczka odtwarzająca DVD do GStreamera.

%package -n gstreamer-lame
Summary:	GStreamer plugin encoding MP3 songs
Summary(pl.UTF-8):	Wtyczka do GStreamera kodująca pliki MP3
Group:		Libraries
# for NLS
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer >= %{gst_req_ver}
Requires:	twolame-libs >= 0.3.10

%description -n gstreamer-lame
Plugin for encoding MP3 with lame.

%description -n gstreamer-lame -l pl.UTF-8
Wtyczka do GStreamera kodująca pliki MP3 przy użyciu lame.

%package -n gstreamer-mad
Summary:	GStreamer plugin using MAD for MP3 decoding
Summary(pl.UTF-8):	Wtyczka do GStreamera używająca MAD do dekodowania MP3
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}

%description -n gstreamer-mad
Plugin for playback of MP3 songs using the very good MAD library.

%description -n gstreamer-mad -l pl.UTF-8
Wtyczka do odtwarzania plików MP3 przy użyciu bardzo dobrej biblioteki
MAD.

%package -n gstreamer-mpeg
Summary:	GStreamer plugins for MPEG video playback
Summary(pl.UTF-8):	Wtyczka do GStreamera odtwarzająca obraz MPEG
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-mpeg
Plugins for playing MPEG videos.

%description -n gstreamer-mpeg -l pl.UTF-8
Wtyczki do odtwarzania obrazu MPEG.

%package -n gstreamer-sid
Summary:	GStreamer Sid C64 music plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera odtwarzająca muzykę Sid C64
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-sid
Plugin for playback of C64 SID format music files.

%description -n gstreamer-sid -l pl.UTF-8
Wtyczka do odtwarzania plików z muzyką w formacie C64 SID.

%package -n gstreamer-x264
Summary:	GStreamer x264 encoder plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera kodująca przy użyciu biblioteki x264
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gst_req_ver}

%description -n gstreamer-x264
GStreamer x264 encoder plugin.

%description -n gstreamer-x264 -l pl.UTF-8
Wtyczka do GStreamera kodująca przy użyciu biblioteki x264.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_amr:--disable-amrnb --disable-amrwb} \
	%{!?with_cdio:--disable-cdio} \
	%{!?with_sid:--disable-sidplay} \
	--disable-silent-rules \
	--disable-static \
	--enable-experimental \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# We don't need plugins' *.la files
rm -f $RPM_BUILD_ROOT%{gstlibdir}/*.la

%find_lang %{gstname}-%{gst_major_ver}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gstname}-%{gst_major_ver}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{gstlibdir}/libgstasf.so
%attr(755,root,root) %{gstlibdir}/libgstdvdlpcmdec.so
%attr(755,root,root) %{gstlibdir}/libgstdvdsub.so
%attr(755,root,root) %{gstlibdir}/libgstiec958.so
%attr(755,root,root) %{gstlibdir}/libgstrmdemux.so
%attr(755,root,root) %{gstlibdir}/libgstsynaesthesia.so
%{_datadir}/gstreamer-%{gst_major_ver}/presets
%{_gtkdocdir}/gst-plugins-ugly-plugins-0.10

##
## Plugins
##

%files -n gstreamer-a52dec
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgsta52dec.so

%if %{with amr}
%files -n gstreamer-amrnb
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstamrnb.so

%files -n gstreamer-amrwb
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstamrwbdec.so
%endif

%if %{with cdio}
%files -n gstreamer-cdio
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstcdio.so
%endif

%files -n gstreamer-dvdread
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstdvdread.so

%files -n gstreamer-lame
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstlame.so
%attr(755,root,root) %{gstlibdir}/libgsttwolame.so

%files -n gstreamer-mad
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstmad.so

%files -n gstreamer-mpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstmpeg2dec.so
%attr(755,root,root) %{gstlibdir}/libgstmpegaudioparse.so
%attr(755,root,root) %{gstlibdir}/libgstmpegstream.so

%if %{with sid}
%files -n gstreamer-sid
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstsid.so
%endif

%files -n gstreamer-x264
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstx264.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-plugins-ugly.spec,v $
Revision 1.42  2012/03/03 18:44:58  arekm
- release 2

Revision 1.41  2012/02/29 18:57:30  qboosh
- updated to 0.10.19
- removed obsolete bashish patch

Revision 1.40  2012/01/13 20:31:11  arekm
- release 4

Revision 1.39  2012/01/05 17:28:00  lisu
- rel 3

Revision 1.38  2011/06/28 17:54:27  arekm
- release 2

Revision 1.37  2011/05/15 19:23:50  qboosh
- updated to 0.10.18

Revision 1.36  2011/03/29 07:10:44  arekm
- release 2

Revision 1.35  2011/01/22 15:32:07  qboosh
- updated to 0.10.17

Revision 1.34  2010/12/28 08:49:44  hawk
- release 3

Revision 1.33  2010/12/15 16:49:23  qboosh
- updated deps
- amr plugins switched to opencore-amr, enabled by default
- package amrwb(dec) plugin

Revision 1.32  2010/10/13 11:17:20  glen
- gstreamer-x264 encodes only
- gstreamer-mpeg decodes only
 at least by looking at caps they provide

Revision 1.31  2010/09/03 21:41:22  patrys
- 0.10.16

Revision 1.30  2010/08/24 21:22:42  hawk
- updated to 0.10.15, x264 issue fixed upstream

Revision 1.29  2010/04/28 18:48:23  arekm
- release 4

Revision 1.28  2010/02/09 23:22:09  sls
- bump gst/gstpb req ver to 0.10.25

Revision 1.27  2010/01/15 23:46:18  hawk
- release 3

Revision 1.26  2009/12/31 16:50:03  megabajt
- release 2

Revision 1.25  2009/11/20 11:25:40  arekm
- up to 0.10.13

Revision 1.24  2009/11/20 00:38:43  zbyniu
- BR: docbook-dtd412-xml, libx264-devel

Revision 1.23  2009/11/19 22:21:37  arekm
- release 2

Revision 1.22  2009/06/18 09:09:27  patrys
- 0.10.12
- use libmpeg2 instead of mpeg2dec

Revision 1.21  2009/05/26 22:16:55  megabajt
- generate rpm provides for plugins
- release 2

Revision 1.20  2009/03/22 16:00:55  patrys
- 0.10.11

Revision 1.19  2008/12/16 17:58:05  patrys
- 0.10.10

Revision 1.18  2008/11/26 10:20:01  hawk
- release 3

Revision 1.17  2008/10/31 13:24:38  megabajt
- release 2

Revision 1.16  2008/08/31 15:33:45  qboosh
- updated to 0.10.9 (cdio plugin moved from -good)

Revision 1.15  2008/05/29 22:20:51  qboosh
- updated to 0.10.8
- removed obsolete asf-seek patch

Revision 1.14  2008-02-21 18:57:45  qboosh
- enable experimental to build synaesthesia plugin
- LGPL v2+

Revision 1.13  2008-02-21 12:39:23  patrys
- 0.10.7
- patch1 & patch2 solved upstream

Revision 1.12  2008-01-17 17:00:41  patrys
- fixes from livna
- plays mp3 files
- rel 2

Revision 1.11  2007-06-24 12:14:22  qboosh
- updated to 0.10.6
- added subpackage deps

Revision 1.10  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.8  2006/12/21 18:03:14  qboosh
- updated to 0.10.5
- added amr bcond (off by default, required library is non-distributable)

Revision 1.7  2006/08/21 06:40:51  qboosh
- there will be locales

Revision 1.6  2006/08/15 11:23:09  freetz
- 0.10.4, updated deps

Revision 1.5  2006/04/04 20:13:10  qboosh
- base Obsoletes: gstreamer-asf (moved from gstreamer-plugins)

Revision 1.4  2006/04/04 19:16:34  qboosh
- updated to 0.10.3 (dvdsub plugin added)

Revision 1.3  2006/02/25 09:09:02  qboosh
- updated to 0.10.2

Revision 1.2  2006/01/15 10:10:00  qboosh
- added URL

Revision 1.1  2006/01/15 00:17:24  qboosh
- new, partially extracted from gstreamer-plugins.spec
